<?php
/*
'#################################################################
'# 程序名称：中环CMSV2.0
'# 授权方式：免费软件
'# 作者：善
'# 联系QQ:9118847
'# 作者网站:http://www.ps173.com
'# 发布时间：2015-6-10
'# 声明：欢迎广大的PHP爱好者一起共同探讨
'# 声明：各种用途均可免费使用、自由传播，但必须保留程序代码中的版权信息。
'#################################################################
 */
 
//友情链接Model类

class FlinkModel extends Model{

	//数据初始化
	public function __construct(){
		parent::__construct();
		$this->tabname = TAB_FIX."flink";
		$this->tabkey = array("id", "webname", "user", "phone", "weburl", "commt", "info", "ord", "addtime");
	}

	public function flink_list(){
		return $this->field("webname, weburl, info")->where(array("commt"=>0))->order("ord asc")->all();
	}

	//友情链接排序
	public function ord($post){
		$num = 0;
		for ($i=0; $i <count($post['id']); $i++) { 
			$data['id'] = $post['id'][$i];
			$data['ord'] = $post['ord'][$i];
			if(!is_numeric($data['ord'])) continue;
			$num += $this->mod($data);
		}

		return $num;
	}

	//删除友情链接
	public function delete($id){
		return $this->del($id);
	}

	//添加友情链接
	public function insert($post){
		$post['addtime'] = time();
		return $this->add($post);
	}

	//通过传递进来的ID获取一条数据
	public function list_one($id){
		return $this->field("id, webname, user, phone, weburl, commt, info")->where(array("id"=>$id))->one();
	}

	//获取友情链接列表
	public function nums($limit){
		return $this->order("id desc")->limit($limit)->all();
	}

	//获取总数
	public function flink_total(){
		return $this->total();
	}

	//修改友情链接
	public function update($post){
		return $this->mod($post);
	}


}



?>